Query write job logs
GET
https://api.propexo.com/v1/admin/logs/writes/Query write job logs with various filters. Returns the most recent record for each job_id.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
limit integer
Possible values: >= 1 and <= 100
Number of records to return
Default value:
100offset integer | null
Possible values: >= 0
Number of records to skip
Default value:
0time_range string
Show 4 enum values
hourmonthweekdayFilter logs by time range
integration_id string
Filter logs by integration ID
status string
Show 2 enum values
SUCCESSFAILUREFilter logs by status
write_category string
Show 25 enum values
amenitiesapplicantsapplicationscontractscrm_listingsdeposit_summariesevent_typeseventsfile_typesfile_uploadinvoicesleadsleaseslistingspropertiespurchase_ordersrecurring_resident_chargesresident_chargesresident_paymentsresident_petsresidentsservice_request_vendorsservice_requeststransactionsunitsFilter logs by write category
Response
Successful response
- Array [
- ]
results objectrequired
logs object[]required
idstringrequired
created_atstringrequired
job_idstringrequired
job_log_idstringrequired
statusstringrequired
Show 2 enum values
SUCCESSFAILUREintegration_idstringrequired
job_typestringrequired
parameters
errorstring | nullnullablerequired
namestringrequired
vendorstringrequired
Show 18 enum values
APPFOLIOBUILDIUMENTRATAELISEAIFUNNELINTERNALKNOCKMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTCAFERENTMANAGERRENTVINERESMANYARDIYARDI_RESTErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/admin/logs/writes/
curl https://api.propexo.com/v1/admin/logs/writes/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"results": {
"logs": [
{
"id": "string",
"created_at": "string",
"job_id": "string",
"job_log_id": "string",
"status": "SUCCESS",
"integration_id": "string",
"job_type": "string",
"parameters": {},
"error": "string",
"name": "string",
"vendor": "APPFOLIO"
}
]
}
}